if object_id('child') is not null drop table child
if object_id('parent') is not null drop table parent
if object_id('numbers') is not null drop table numbers
go
create table numbers (num int not null primary key clustered)
create table parent(i int not null primary key clustered)
create table child (
   childid int identity(1,1) primary key nonclustered,
   parentid int not null foreign key references parent(i),
   seqnum int not null default(1),
   active bit not null default(1),
   datatype int not null,
   otherintcol int not null,
   padding varchar(7000) null,
)

declare @i as int
set @i = 0
while @i <> 1000
begin
	insert into numbers
	(num)
	select @i

	set @i = @i + 1
end
go

create unique clustered index ix_child_clustered on child(datatype, parentid, otherintcol, seqnum)
create nonclustered index ix_child_noncover_orderby on child(parentid, active)


insert parent select num from numbers where num <= 500

insert child (parentid, seqnum, active, datatype, otherintcol, padding)
select p.i, n.num, 1, 501 - n.num, 100 - p.i % 100, left(replicate(p.i, 7000), 7000)
from
   parent p
   inner join numbers n on n.num <= p.i

-- turn on show execution plan for these now
select top 100 * from child order by parentid

select top 100 * from child order by parentid, seqnum

select top 100 * from (
   select top 100 with ties *
   from child
   order by parentid
) x
order by parentid, seqnum